=== debian/changelog ===
ros-melodic-rosserial-arduino (0.8.0-0stretch) stretch; urgency=high

  * Enhance ArduinoTcpHardware (#379 <https://github.com/ros-drivers/rosserial/issues/379>)
    - Add support to check for current TCP connection status to reconnect
    - stop tcp before re-connecting
  * Changed hardcoded pin 13 to LED_BUILTIN (#328 <https://github.com/ros-drivers/rosserial/issues/328>)
    To make the code work on an Arduino Nano V3 clone board.
    (might need to be updated in BlinkM as well, but I didnt try that example)
  * Added service to force an Arduino hard reset in serial_node.py (#349 <https://github.com/ros-drivers/rosserial/issues/349>)
    * Added hard_reset service call to serial_node
    * Refactored SerialClient to use a write thread, working around deadlock when both Arduino and serial_node.py get stuck writing to each other.
    * Updated cmakelists and package.xml to include dependencies. Removed unnecessary tcp functionality from arduino-specific serial_node.py
  * Added ESP32 support (#345 <https://github.com/ros-drivers/rosserial/issues/345>)
  * In rosserial_arduino, changed embedded type size for ROS uint64 to 8 bytes from 4. (#312 <https://github.com/ros-drivers/rosserial/issues/312>)
  * Contributors: Bo Chen, Chris Spencer, Pornthep Preechayasomboon, Tom O'Connell, blubbi321

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.7-0stretch) stretch; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Add ArduinoTcpHardware to use Arduino Ethernet shield. (#324 <https://github.com/ros-drivers/rosserial/issues/324>)
  * Add an example to use Subscriber and ServiceServer as class members. (#321 <https://github.com/ros-drivers/rosserial/issues/321>)
  * Added support for the Particle Photon (#292 <https://github.com/ros-drivers/rosserial/issues/292>)
  * Fix POLICY CMP0054 unknown (#291 <https://github.com/ros-drivers/rosserial/issues/291>)
  * Use ESP8266 header only if defined. (#288 <https://github.com/ros-drivers/rosserial/issues/288>)
  * Add Esp8266 support and an example (#279 <https://github.com/ros-drivers/rosserial/issues/279>)
  * Add support for STM32F1 with stm32duino. (#281 <https://github.com/ros-drivers/rosserial/issues/281>)
  * Contributors: Bei Chen Liu, David Portugal, Dmitry Kargin, Mike Purvis, Romain Reignier, Valentin VERGEZ, khancyr

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-melodic-rosserial-arduino (0.7.6-0stretch) stretch; urgency=high

  * Fixed issue with CMake CMP0054 (#273 <https://github.com/ros-drivers/rosserial/issues/273>)
  * Add Teensy LC support (#270 <https://github.com/ros-drivers/rosserial/issues/270>)
  * Support Teensy 3.5, 3.6. (#259 <https://github.com/ros-drivers/rosserial/issues/259>)
  * Contributors: Brent Yi, FirefoxMetzger, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-melodic-rosserial-arduino (0.7.5-0stretch) stretch; urgency=high

  * Missing 'h' inside constructor ArduinoHardware(ArduinoHardware& h) (#251 <https://github.com/ros-drivers/rosserial/issues/251>)
  * Contributors: MalcolmReynlods

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-melodic-rosserial-arduino (0.7.4-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.3-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.2-0stretch) stretch; urgency=high

  * Add ros.h include to transform_broadcaster
  * Add environment variable for arduino location
  * Add support for HW Serial ports on the Teensy
  * Contributors: David Lavoie-Boutin, Gary Servin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-melodic-rosserial-arduino (0.7.0-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-rosserial-arduino (0.6.3-0stretch) stretch; urgency=high

  * Fix for Arduino upload path issue.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-melodic-rosserial-arduino (0.6.2-0stretch) stretch; urgency=high

  * Clean up rosserial_arduino/package.xml
  * Generic CMake helpers.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.6.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.6.0-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.5.6-0stretch) stretch; urgency=high

  * Add Mike Purvis as maintainer
  * Updated examples for Arduino 1.+
  * Added Teensy 3.1 support (MK20DX256)
  * Updated ArduinoHardware.h to add Teensy 3.0 support
  * Contributors: Michael Ferguson, Mike Purvis, Moju Zhao, Tony Baltovski, kjanesch

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-arduino (0.5.5-0stretch) stretch; urgency=high

  * Leonardo: Use the USB serial port for ROS messages option

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-melodic-rosserial-arduino (0.5.3-0stretch) stretch; urgency=high

  * add support for leonardo and due

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 04:00:00 -0000

ros-melodic-rosserial-arduino (0.5.2-0stretch) stretch; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000


