=== debian/control ===
Source: ros-melodic-rosserial-arduino
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation
Homepage: http://ros.org/wiki/rosserial_arduino
Standards-Version: 3.9.2

Package: ros-melodic-rosserial-arduino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, arduino-core, ros-melodic-message-runtime, ros-melodic-rospy, ros-melodic-rosserial-client, ros-melodic-rosserial-msgs, ros-melodic-rosserial-python
Description: rosserial for Arduino/AVR platforms.
